var canSub = true;
var canmunq = null;

function submitForm(e) {
	try{
		e = e ? e : window.event;
		if(e.ctrlKey&&e.keyCode==13)
		return true;
	}catch(e){}
	return false
} 	
function commSubmit(form)
{
	
	if ('请在这里输入您要发表的评论信息' == $('comment_text').value)
	{
		$('comment_text').focus();
		return false;
	}
	if ($('comment_text').value.length > 500 || $('comment_text').value.length < 4)
	{
		alert("评论字数必须在4到500个之间！");
		$('comment_text').focus();
		return false;
	}

	
	

	postfeeback();
}

function loadfeeback(id,page){

	var URL = Indexurl+"/plus/feedback_tg.php";
	var pars = 'aid=' + id ;
	var ererer=new Ajax.Updater(
		{success: 'comm_content'},
		URL, {method: "get",parameters:pars,
	//	onLoading : tg_loading, //正在获得内容的时候调用的函数天工开物
		onComplete : tg_done    //内容获取完毕的时候调用的函数天工开物

		
		}
	);	
	//for(ad in ererer){
	//	alert(ad+":"+ererer[ad]);}
}

//处理分页部分,将分页部分的连接用正则替换成AJAX所需要的格式,不用更改DEDE后台  BY天工开物

function tg_done()

	{
	//alert($('tg_pl_page').innerHTML);
	//正则替换分页部分的连接BY天工开物
	$('tg_pl_page').innerHTML=$('tg_pl_page').innerHTML.replace(/href([^?]+)\?([^"]+)\"/g,"href=\"javascript:AjaxPage_page('$2')\"");
	$('comm_content').innerHTML=unescape($('comm_content').innerHTML);
	}


//天工LOAD好评.差评,中立
//xm/plus/feedback.php?aid=1&ftype=good
function loadfeeback_tg(id,page){
	
	var URL = Indexurl+"/plus/feedback_tg.php";
	var pars = 'aid=' + id + '&ftype='+page;
	
	new Ajax.Updater(
		{success: 'comm_content'},
		URL, {method: "get",
		parameters:pars,
	//	onLoading : tg_loading, //正在获得内容的时候调用的函数天工开物
		onComplete : tg_done    //内容获取完毕的时候调用的函数天工开物
		}
	);	
}


function loadfeeback_page(page){
	
	var URL = Indexurl+"/plus/feedback_tg.php";
	var pars = page;
	
	new Ajax.Updater(
		{success: 'comm_content'},
		URL, {method: "get",
		parameters:pars,
	//	onLoading : tg_loading, //正在获得内容的时候调用的函数天工开物
		onComplete : tg_done    //内容获取完毕的时候调用的函数天工开物
		}
	);	
}
function loadvalidate(page){
	
	var URL = Indexurl+"/plus/feedback_tg.php";
	var pars = 'tgyz=1&validate='+page;
	
	www=new Ajax.Request(
		
		URL, {method: "get",
		parameters:pars,
	//	onLoading : tg_loading, //正在获得内容的时候调用的函数天工开物
		onComplete : check_tg ,   //内容获取完毕的时候调用的函数天工开物
		asynchronous:false 
		}
	);	

}

function check_tg(originalRequest)
	{
		canmunq = originalRequest.responseText;
	}

//ajax submit data....
function postfeeback(){
	if (!canSub)return false;
	var face;
	var feedbacktype;
	if($('face1').checked==1)
	{face=1;}
	if($('face2').checked==1)
	{face=2;}
	if($('face3').checked==1)
	{face=3;}
	if($('face4').checked==1)
	{face=4;}
	if($('face5').checked==1)
	{face=5;}
		if($('face6').checked==1)
	{face=6;}
	if($('face7').checked==1)
	{face=7;}
	if($('dcmp_stand_bad').checked==1)
	{feedbacktype="bad";}
	if($('dcmp_stand_good').checked==1)
	{feedbacktype="good";}
	if($('dcmp_stand_neu').checked==1)
	{feedbacktype="feedback";}
    var pst_bodt='feedbacktype='+feedbacktype+'&face='+face+'&action='+$('action').value+'&aid='+$('aid').value+'&isconfirm=yes&msg='+ escape($('comment_text').value)+'&comtype='+$('comtype').value;
	var post_body;
	
	if($('validate_tg'))
	{
		loadvalidate($('validate_tg').value);
		
	
	
				if(canmunq==1){
				alert("请输入正确的验证码");
				$('validate_tg').focus();
				canSub=true;
				return false;
				}
				
				
		if($('notuser').checked)
		{
			if($('username_tg'))
			{
			post_body=pst_bodt+'&username='+$('username_tg').value+'&notuser=1';
			
			}
			else{post_body=pst_bodt+'&notuser=1';}
		
		}
		else{
			if($('username_tg'))
			{
			post_body=pst_bodt+'&username='+$('username_tg').value+'&notuser=0';
			
			}
			else{
				if($('username_pl').value==""||$('pwd').value=="")
				{
				alert("请输入正确的用户名和密码,或者匿名发布评论！");
				$('username').focus();
				$('pwd').focus();
				canSub=true;
				return false;
				}
				
				post_body=pst_bodt+'&username='+$('username_pl').value+'&pwd='+$('pwd').value;
				
				
				}
			
			}
	
		
	}
	//以下是评论不采取验证码
	else 
	{
		
		if($('notuser').checked)
		{
			if($('username_tg'))
			{
			post_body=pst_bodt+'&username='+$('username_tg').value+'&notuser=1';
			
			}
			else{post_body=pst_bodt+'&notuser=1';}
		
		}
		else{
			if($('username_tg'))
			{
			post_body=pst_bodt+'&username='+$('username_tg').value;
			
			}
			else{
				if($('username_pl').value==""||$('pwd').value=="")
				{
				alert("请输入正确的用户名和密码,或者匿名发布评论！");
				$('username').focus();
				$('pwd').focus();
				canSub=true;
				return false;
				}
				
				post_body=pst_bodt+'&username='+$('username_pl').value+'&pwd='+$('pwd').value;
				
		
				}
			
			}
		
		
	}
	
	canSub=false;
	
	var opt = {
		method: 'post',
		postBody: post_body,
		onSuccess: function(t) {
			$('ajaxBackMsg').update(t.responseText);
			loadfeeback_tg($('aid').value,1);
			canSub = true;
			$('comment_text').value = '';
			$('username').value = '';
			$('validate').value = '';
			$('code_pic').src = Indexurl+'/include/validateimg.php?'+Math.random();
		},
		on404: function(t) {$('ajaxBackMsg').update('服务器错误，请稍后再试！')},
		onFailure: function(t) {$('ajaxBackMsg').update('提交失败，请稍后再试！')}
	};
	
	new Ajax.Request(Indexurl+"/plus/feedback_tg.php", opt);
	
}

//输入字符统计
function alertCharNums(content) {
		var MaxLength = 500 ;
		if (content.value.length > MaxLength ){
			content.value = content.value.substring(0,MaxLength);
		}
		$('ajaxBackMsg').innerHTML='字符统计:'+content.value.length+'/500';
	}
	

function AjaxPage_page(p){loadfeeback_page(p)}